% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/component.R
\name{component}
\alias{component}
\title{Create a component object}
\usage{
component(name, value = NULL, type = NULL, ref = NULL, path = NULL)
}
\arguments{
\item{name}{Name of component}

\item{value}{\code{pipeline} or \code{module} object}

\item{type}{Character value; \dQuote{pipeline} or \dQuote{module}}

\item{ref}{xml filename}

\item{path}{location of xml file}
}
\value{
\code{component} list containing:
\item{name}{component name}
\item{ref}{xml filename}
\item{path}{path to xml file}
\item{type}{component type}
\item{value}{\code{pipeline} or \code{module} object}
}
\description{
Create a \code{component} object for use in a \code{pipeline}.
}
\details{
This function requires either a \code{ref}, and possibly a
\code{path}, to an openapi XML file, or a \code{pipeline} or \code{module}
object in \code{value}. Accordingly:

\itemize{
\item{if \code{ref} is given the resulting component will have
\code{value} coerced to NULL.}

\item{if no \code{ref} is given the resulting component will have \code{type}
coerced to the class of the \code{value} object.}
}

If \code{type} is not \dQuote{pipeline} or \dQuote{module} the function
will fail.
}
\seealso{
\code{pipeline}, \code{module}
}

